diff --git a/src/backend/access/transam/xlog.c b/src/backend/access/transam/xlog.c
index cc845d2..4883697 100644
--- a/src/backend/access/transam/xlog.c
+++ b/src/backend/access/transam/xlog.c
@@ -9503,6 +9503,14 @@ xlog_redo(XLogRecPtr lsn, XLogRecord *record)
 		data += sizeof(BkpBlock);
 
 		RestoreBackupBlockContents(lsn, bkpb, data, false, false);
+
+		if (bkpb.fork == INIT_FORKNUM)
+		{
+			SMgrRelation srel;
+			srel = smgropen(bkpb.node, InvalidBackendId);
+			smgrimmedsync(srel, INIT_FORKNUM);
+			smgrclose(srel);
+		}
 	}
 	else if (info == XLOG_BACKUP_END)
 	{
